コンテンツにスキップ
ShopentlyLearn

削除 — CMS ページ

コンテンツ ページを完全に削除します。

DELETE/api/v1/pages/{page_id}

cURLリクエスト

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request DELETE \
  --url 'https://shop.onshopently.com/api/v1/pages/example?expected_version=1' \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: example-delete_page_api_v1_pages__page_id__delete'

レスポンス

{
  "data": {
    "deleted": true,
    "id": "example",
    "version": null
  },
  "meta": {
    "request_id": "example"
  }
}

必要な権限

利用可能な最低プラン
STANDARD
キーの権限
ページの削除content.page:delete